 // FilterBar.vue

  <template>
    <div class="" style="margin-top: 5px;">
            <div class="input-group input-group">
                        <input  type="text" placeholder="Recherche..."  @keyup.enter="doFilter" v-model="filterText" class="form-control" style="    border-right: none;">

                        <div class="input-group-append">
                            <div class="input-group-text" style="    border-left: none;background:white">
                            <span class="fas fa-search"></span>
                            </div>
            </div>

            </div>
    </div>
  </template>

  <script>
  import _  from 'lodash';
  export default {
    data () {
      return {
        filterText: ''
      }
    },
    methods: {
      doFilter () {

        this.$events.fire('filter-set', this.filterText)

      },
      resetFilter () {
      this.filterText = ''  // clear the text in text input
      this.$events.fire('filter-reset')
      }
    },
    watch:
    {
            filterText:_.debounce(function ()
             {
                this.doFilter()
            }, 500)
    }
  }
</script>
